Bug 1572421 (CVE-2018-1338)

Summary: CVE-2018-1338 tika: Infinite loop in BPGParser can allow remote attacker to cause a denial of service
Product: [Other] Security Response Reporter: Sam Fowler <sfowler>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: abergmann, aileenc, alazarot, anstephe, bkearney, chazlett, drieden, etirelli, gvarsami, hhorak, ibek, java-sig-commits, jcoleman, jolee, jorton, jschatte, jstastny, kconner, krathod, kverlaen, ldimaggi, lef, lpetrovi, mat.booth, meissner, nwallace, paradhya, pavelp, puntogil, rhel8-maint, rrajasek, rsynek, rwagner, rzhang, sdaley, sfowler, tcunning, tkirby, tlestach, vhalbert
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20180425,reported=20180427,source=oss-security,cvss3=6.5/CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H,cwe=CWE-835,rhel-8/tika=wontfix,fedora-all/tika=affected,rhscl-3/rh-eclipse46-tika=notaffected,fis-2/tika-core=notaffected,fuse-7/camel-tika=affected,fsw-6/tika-core=notaffected,brms-5/tika-core=wontfix,brms-6/tika-core=wontfix,bpms-6/tika-core=wontfix,jdv-6/tika-core=wontfix,rhn_satellite_5/tika=wontfix/impact=low
Fixed In Version: tika 1.18 Doc Type: If docs needed, set a value
Doc Text:
An infinite loop vulnerability was discovered in Apache Tika prior to version 1.18. A remote attacker could exploit this to cause a denial of service via crafted file.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:20:40 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1572423, 1572422, 1614538    
Bug Blocks: 1572420    

Description Sam Fowler 2018-04-27 01:32:53 UTC
Apache Tika before version 1.18 has an infinite loop vulnerability in the BPGParser. A remote attacker could exploit this to cause a denial of service via crafted file.


External References:

https://lists.apache.org/thread.html/4d20c5748fb9f836653bc78a1bad991ba8485d82a1e821f70b641932@%3Cdev.tika.apache.org%3E

Comment 1 Sam Fowler 2018-04-27 01:34:49 UTC
Created tika tracking bugs for this issue:

Affects: fedora-all [bug 1572423]

Comment 7 Doran Moppert 2018-04-30 06:26:05 UTC
Package rh-eclipse46-tika in Red Hat Software Collections does not include the image/BPG parser which contains this vulnerability.

Comment 8 Andrej Nemec 2018-05-14 15:53:30 UTC
Statement:

This issue affects the versions of tika which is embedded in the nutch package  as shipped with Red Hat Satellite 5. The tika server is not exposed, as such exploitation is difficult, Red Hat Product Security has rated this issue as having security impact of Low. A future update may address this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Comment 13 errata-xmlrpc 2018-09-11 07:55:15 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Fuse

Via RHSA-2018:2669 https://access.redhat.com/errata/RHSA-2018:2669